<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

	<f:render section="OverrideStyles" arguments="{t3themesConf:t3themesConf,data:data}" />

	<f:switch expression="{t3themesConf.headerFullWidth}">
		<f:case value="onlybg">
		<!-- Background > Container -->
			<div style="{f:if(condition:'{t3themesConf.headerBgColor}',then:'background-color:{t3themesConf.headerBgColor}',else:'#ffffff')};">
				<div class="container">
					<f:render section="LayoutInner" arguments="{_all}" />
				</div>
			</div>
		</f:case>
		<f:case value="container">
		<!-- Background + Container -->
			<div style="{f:if(condition:'{t3themesConf.headerBgColor}',then:'background-color:{t3themesConf.headerBgColor}',else:'#ffffff')};" class="container">
				<f:render section="LayoutInner" arguments="{_all}" />
			</div>
		</f:case>
		<f:case default="TRUE">
		<!-- Background (No Container) -->
			<div style="{f:if(condition:'{t3themesConf.headerBgColor}',then:'background-color:{t3themesConf.headerBgColor}',else:'#ffffff')};">
				<f:render section="LayoutInner" arguments="{_all}" />
			</div>
		</f:case>
	</f:switch>

	<!-- SECTIONS START -->
		<f:section name="LayoutInner">

			<!-- Header -->
			<div id="header-wrapper">
			    <div id="header">
			        <f:if condition="{t3themesConf.headerLogo} != 'hide'">
			        	<f:switch expression="{t3themesConf.headerStyle}">
			        		<f:case value="2">
			        			<f:render section="Variant2" arguments="{_all}" />
			        		</f:case>
			        		<f:case default="true">
			        			<f:render section="Variant1" arguments="{_all}" />
			        		</f:case>
			        	</f:switch>
			        </f:if>
			    </div>
			</div>

		</f:section>

		<f:section name="Variant1">

			<f:render section="LogoImage" arguments="{_all}" />
			<f:render section="LogoText" arguments="{_all}" />
			<f:render section="HeaderContent" arguments="{_all}" />

		</f:section>

		<f:section name="Variant2">

			<div>
		    	<div class="pull-left">
					<f:render section="LogoImage" arguments="{_all}" />
		    	</div>
		    	<div class="pull-left">
					<f:render section="LogoText" arguments="{_all}" />
		    	</div>
		    	<div class="pull-left">
		    		<f:render section="HeaderContent" arguments="{_all}" />
		    	</div>
		    	<div class="clearfix"></div>
			</div>

		</f:section>

		<f:section name="LogoImage">

			<f:if condition="{t3themesConf.headerLogoUrl}">
				<a href="/"><img class="logo" src="{t3themesConf.headerLogoUrl}" alt="{t3themesConf.headerLogoUrl}" /></a>
			</f:if>

		</f:section>

		<f:section name="LogoText">

			<f:if condition="{t3themesConf.headerLogoText}">
				<f:if condition="{t3themesConf.headerLogoText} != '_'">
				    <!-- LogoText --><h1 style="padding:12px;margin:20px;margin-top: 0;padding-top: 0;"><a href="/">{t3themesConf.headerLogoText->f:format.raw()}</a></h1>
				</f:if>
			</f:if>

		</f:section>

		<f:section name="HeaderContent">

			<!-- HEADER CONTENT -->
				<f:switch expression="{t3themesConf.headerDisplay}">
					<f:case value="shownav">
						<f:if condition="{t3themesConf.headerTsnavigation}">
							<f:then>
								<!-- SHOW CHOOSEN NAVIGATION -->
								{f:cObject(typoscriptObjectPath:'{t3themesConf.headerTsnavigation}')}
							</f:then>
							<f:else>
								<!-- SHOW DEFAULT THEME NAVIGATION -->
				        		<f:render partial="Navigation/Main" arguments="{_all}" />
							</f:else>
						</f:if>
					</f:case>
					</f:case>
				</f:switch>

		</f:section>

		<f:section name="OverrideStyles">
			<f:if condition="{t3themesConf.headerTextColor}"><style type="text/css">.headerC{data.uid},.headerC{data.uid} a,.headerC{data.uid} p{color:{t3themesConf.headerTextColor};}</style></f:if>
		</f:section>
	<!-- SECTIONS END -->

</html>
